from sqlalchemy.orm import Session
from backend.repos import RepositoryHouses
from backend.schemas import HouseCreate
from backend.services._base_service import BaseService

class HouseService(BaseService):
  def __init__(self):
    self.repos = RepositoryHouses()

  def create(self, db: Session, house: HouseCreate):
    return self.repos.create(db=db, house=house)
